import base64

def run(mode, text):
    """Codifica o decodifica en Base64."""
    try:
        if mode == "encode":
            encoded = base64.b64encode(text.encode()).decode()
            return f"🔐 **Base64 Enc:** {encoded}"
        elif mode == "decode":
            decoded = base64.b64decode(text).decode()
            return f"🔓 **Base64 Dec:** {decoded}"
        else:
            return "❌ Uso: .base64 encode|decode <texto>"
    except Exception as e:
        return f"❌ Error: {str(e)}"

def help():
    return "Uso: .base64 encode|decode <texto> - Codifica o decodifica en Base64."

